# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

from pySndo.network.packetloaders.common import Empty, PrefixSend

class ServerFull(Empty):
    pass

class ServerStatus(PrefixSend):
    message = None
    def _load(self, data):
        self.message = data
        
    def _generate(self):
        return self.message

class TimeLeft(PrefixSend):
    pass

class NextMap(PrefixSend):
    pass

class Restart(object):
    def __init__(self, data = None):
        if data != '0':
            raise NotImplementedError('other data expected, got %r' % data)
        
    def generate(self):
        return '0'

class Closing(Empty):
    pass

