# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

from twisted.internet import reactor

from pySndo.network.client import ClientInfoProtocol, ClientInfoFactory

class MyProtocol(ClientInfoProtocol):
    def initialReceived(self, initial):
        print 'initial received! %s' % vars(initial)
        if not self.requestMap(initial.mapName):
            print 'no map sending, failed!'
            
    def errorOccured(self):
        print 'error! oh noes!'
        
    def mapProgressed(self, currentLines, totalLines):
        print 'Map progressed: %s%%' % (round(1.0 * currentLines / totalLines * 100, 2))
        
    def mapReceived(self, map):
        if map.computeChecksum() == self.initial.mapCrc:
            print 'Map received successfully!'
        print '* End of test *'
        reactor.stop()

class MyFactory(ClientInfoFactory):
    protocol = MyProtocol

def main():
    host = 'localhost'
    port = 1204
    mapPort = reactor.connectTCP(host, port, MyFactory())
    print 'Connecting to server...'
    reactor.run()

if __name__ == '__main__':
    main()