# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

def ipByName(connection, name):
    try:
        player = connection.factory.searchPlayers(name)[0]
        return getIp(connection, player)
    except IndexError:
        return 'Player could not be found'
    
def ipById(connection, id):
    try:
        player = connection.factory.playerFromId(id)
        return getIp(connection, player)
    except IndexError:
        return 'Player could not be found'

def getIp(connection, player):
    return 'IP of %s: %s' % (player.name, player.transport.getPeer().host)