# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

def kickByName(connection, name, reason = None):
    try:
        player = connection.factory.searchPlayers(name)[0]
        player.kick(reason)
        return '%r kicked successfully' % player.name
    except IndexError:
        return 'Player could not be found'
    
def kickById(connection, id, reason = None):
    try:
        player = connection.factory.playerFromId(id)
        return kickPlayer(connection, player, reason)
    except IndexError:
        return 'Player could not be found'

def kickPlayer(connection, player, reason):
    player.kick(reason)
    return '%r kicked successfully' % player.name

def banByName(connection, name, reason = None):
    try:
        player = connection.factory.searchPlayers(name)[0]
        return banPlayer(connection, player, reason)
    except IndexError:
        return 'Player could not be found'

def banById(connection, id, reason = None):
    try:
        player = connection.factory.playerFromId(id)
        return banPlayer(connection, player, reason)
    except IndexError:
        return 'Player could not be found'

def banPlayer(connection, player, reason):
    player.kick(reason, True)
    ip = player.transport.getPeer().host
    banned = connection.factory.banned['Bans']
    banned['BannedIPs'].append(ip)
    banned['BannedReasons'][ip] = reason
    connection.factory.saveBans()
    return '%r banned successfully' % player.name