# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

def pmByName(connection, name, message):
    try:
        players = connection.factory.searchPlayers(name)
        return sendPm(connection, players, message)
    except IndexError:
        return 'Player could not be found'
    
def pmById(connection, id, message):
    try:
        players = [connection.factory.playerFromId(id)]
        return sendPm(connection, players, message)
    except IndexError:
        return 'Player could not be found'

def sendPm(connection, players, message):
    for player in players:
        player.sendStatus('%s(PM): %s' % (connection.name, message))
    return '(message sent to %s recipients)' % len(players)