# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

# Copyright (c) 2009 Mathias Kaerlev.
# See LICENSE for details.

from twisted.cred import portal, checkers
from twisted.conch import manhole, manhole_ssh

def createRemoteFactory(namespace, **passwords):
    realm = manhole_ssh.TerminalRealm()
    def createRemoteProtocol(_): 
        return manhole.Manhole(namespace)
    realm.chainedProtocolFactory.protocolFactory = createRemoteProtocol
    p = portal.Portal(realm)
    p.registerChecker(
        checkers.InMemoryUsernamePasswordDatabaseDontUse(**passwords))
    f = manhole_ssh.ConchFactory(p)
    return f